<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.mosty.sjzx.mapper.TbJqAllMapper">
    <insert id="insertEntity" parameterType="com.mosty.base.model.entity.sjzx.TbJqAll">
        insert into tb_jq_all(id, jq110_id, jjdbh, jjdwbh, jjdwmc, gljjdbh, jjybh, jjyxm, jjtbh, jjtip, hrsj, lhlxbh,
                              bjfsbh, bjrq, bjsj, jjsj, jqfsksnf, jqfsksyf, jqfsksny, jqfskszs, jqfsksrq, jqfskssj,
                              jqfsksxs, jqfsjssj, hrsc, jjsc, jjlyh, bjdh, bjdh_yhxm, bjdh_yhdz, bjr_sfzh, bjr_xm,
                              bjr_xb,
                              bjr_lxdh, bjr_zzdw, sfdzxzqh, sfdz, bjnr, jqjb, bjlb, bjlx, bjxl, ldgbh, bjxlmc, bjlxmc,
                              bjlbmc, bkrs, ssrs, swrs, ywwxwz, ywbzxl, ywbkry, sfsw, sfswybj, sfzdjq, jd, wd, zb,
                              zbhash, czzt, zdjqtjlx, ssbm, ssbmdm, ssxgaj, sfjmjq,
                              ssxgajdm, sssgaj, sssgajdm, xt_sjly, xt_sjzt, xt_scbz, xt_cjip, xt_cjsj, xt_cjr_id,
                              xt_cjr,
                              xt_cjbmdm, xt_cjbmmc, xt_zhgxip, xt_zhgxsj, xt_zhgxrid, xt_zhgxr, xt_zhgxbmdm, xt_zhgxbm,
                              bz)
        values (#{id}, #{jq110Id}, #{jjdbh}, #{jjdwbh}, #{jjdwmc}, #{gljjdbh}, #{jjybh}, #{jjyxm}, #{jjtbh}, #{jjtip},
                #{hrsj}, #{lhlxbh}, #{bjfsbh}, #{bjrq}, #{bjsj}, #{jjsj}, #{jqfsksnf}, #{jqfsksyf}, #{jqfsksny},
                #{jqfskszs}, #{jqfsksrq}, #{jqfskssj}, #{jqfsksxs}, #{jqfsjssj}, #{hrsc}, #{jjsc}, #{jjlyh},
                #{bjdh}, #{bjdhYhxm}, #{bjdhYhdz}, #{bjrSfzh}, #{bjrXm}, #{bjrXb}, #{bjrLxdh}, #{bjrZzdw},
                #{sfdzxzqh}, #{sfdz}, #{bjnr}, #{jqjb}, #{bjlb}, #{bjlx}, #{bjxl}, #{ldgbh}, #{bjxlmc}, #{bjlxmc},
                #{bjlbmc}, #{bkrs}, #{ssrs}, #{swrs},
                #{ywwxwz}, #{ywbzxl}, #{ywbkry}, #{sfsw}, #{sfswybj}, #{sfzdjq}, #{jd}, #{wd},
                ST_GEOMFROMTEXT(#{zb,typeHandler=com.mosty.base.feign.handle.PolygonTypeHandler}),
                #{zbhash}, #{czzt}, #{zdjqtjlx}, #{ssbm}, #{ssbmdm}, #{ssxgaj}, #{sfjmjq},
                #{ssxgajdm}, #{sssgaj}, #{sssgajdm}, #{xtSjly}, #{xtSjzt}, #{xtScbz}, #{xtCjip}, #{xtCjsj}, #{xtCjrId},
                #{xtCjr}, #{xtCjbmdm}, #{xtCjbmmc}, #{xtZhgxip}, #{xtZhgxsj}, #{xtZhgxrid}, #{xtZhgxr}, #{xtZhgxbmdm},
                #{xtZhgxbm}, #{bz})
    </insert>
</mapper>

